Get All Sketches

Retrieve metadata for a list of sketches.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')

sketches = fulcrum.sketches.search(url_params={'form_id':'{id}'})

for sketch in sketches['sketches']:
  # print(sketch) # entire sketch metadata
  print(sketch['access_key']) # just the sketch key
const { Client } = require('fulcrum-app');
const client = new Client('{token}');

client.sketches.all({'form_id':'{id}'})
  .then((page) => {
    page.objects.forEach(sketch => {
      // console.log(sketch); // entire sketch metadata
      console.log(sketch.access_key); // just the sketch key
    });
  })
  .catch((error) => {
    console.log(error.message);
  });
require 'fulcrum'

client = Fulcrum::Client.new('{token}')

sketches = client.sketches.all({'form_id':'{id}'})

for sketch in sketches.objects do
  # puts sketch # entire sketch metadata
  puts sketch['access_key'] # just the sketch key
end
Query Params
string

The ID of the record with which the sketch is associated.

string

The ID of the form with which the sketch is associated. Leaving this blank will query against all of your sketches.

boolean

If present, sketches will be sorted by updated_at date.

boolean

Sketch has been completely processed.

boolean

Sketch has been completely stored.

boolean

Sketch has been completely uploaded.

int32
Defaults to 1

The page number requested

int32
Defaults to 20000

Number of items per page

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json